
<div *ngIf="user && !user.admin">
    <button class="ui button shadow " (click)="enableReservations()" [ngStyle]="{ display: !showReservations ? 'block' : 'none' }">Moje rezervacije</button>

    <div [ngStyle]="{ display: showReservations ? 'block' : 'none' }" class="back">
        <h2>Moje rezervacije:</h2>
        <div class="ui raised segments" *ngIf="userHasReservations">
            <app-reservation (dogadjaj)="onDogadjaj($event)" class="ui item" *ngFor="let reservation of reservations" [reservation]="reservation"></app-reservation>
        </div>
        <p style="font-style: italic;" *ngIf="!userHasReservations">Trenutno nemate rezervisanih predstava.</p>
        <div class="ui hidden divider"></div>
        <button class="ui button" (click)="disableReservations()">Zatvori rezervacije</button>
    </div>
</div>

